# Uses of Class
org.xnio.Sequence

Packages that use Sequence
Package
Description
org.xnio
The main API package for XNIO.

## Uses of Sequence in org.xnio

Fields in org.xnio with type parameters of type Sequence
Modifier and Type
Field
Description
`static final Option<Sequence<String>>`
Options.`SASL_DISALLOWED_MECHANISMS`
A list of disallowed SASL mechanisms.
`static final Option<Sequence<String>>`
Options.`SASL_MECHANISMS`
A list of SASL mechanisms, in decreasing order of preference.
`static final Option<Sequence<Property>>`
Options.`SASL_PROPERTIES`
A list of provider specific SASL properties.
`static final Option<Sequence<SaslQop>>`
Options.`SASL_QOP`
Specify the SASL quality-of-protection to use.
`static final Option<Sequence<String>>`
Options.`SSL_ENABLED_CIPHER_SUITES`
Specify the cipher suites for an SSL/TLS session.
`static final Option<Sequence<String>>`
Options.`SSL_ENABLED_PROTOCOLS`
Specify the enabled protocols for an SSL/TLS session.
`static final Option<Sequence<Class<? extends KeyManager>>>`
Options.`SSL_JSSE_KEY_MANAGER_CLASSES`
The possible key manager classes to use for a JSSE SSL context.
`static final Option<Sequence<Class<? extends TrustManager>>>`
Options.`SSL_JSSE_TRUST_MANAGER_CLASSES`
The possible trust store classes to use for a JSSE SSL context.
`static final Option<Sequence<String>>`
Options.`SSL_SUPPORTED_CIPHER_SUITES`
Get the supported cipher suites for an SSL/TLS session.
`static final Option<Sequence<String>>`
Options.`SSL_SUPPORTED_PROTOCOLS`
Get the supported protocols for an SSL/TLS session.
Methods in org.xnio that return Sequence
Modifier and Type
Method
Description
`<N> Sequence<N>`
Sequence.`cast(Class<N> newType)`
Cast a sequence to a different type if all the contained elements are of the subtype.
`static <T> Sequence<T>`
Sequence.`empty()`
Return an empty sequence.
`static <T> Sequence<T>`
Sequence.`of(Collection<T> members)`
Return a sequence of the given members.
`static <T> Sequence<T>`
Sequence.`of(T... members)`
Return a sequence of the given members.
Methods in org.xnio that return types with arguments of type Sequence
Modifier and Type
Method
Description
`static <T> Option<Sequence<T>>`
Option.`sequence(Class<?> declClass, String name, Class<T> elementType)`
Create an option with a sequence type.
`static <T> Option<Sequence<Class<? extends T>>>`
Option.`typeSequence(Class<?> declClass, String name, Class<T> elementDeclType)`
Create an option with a sequence-of-types type.
Methods in org.xnio with parameters of type Sequence
Modifier and Type
Method
Description
`boolean`
Sequence.`equals(Sequence<?> other)`
Determine whether this sequence is equal to another.
Method parameters in org.xnio with type arguments of type Sequence
Modifier and Type
Method
Description
`OptionMap.Builder`
OptionMap.Builder.`setSequence(Option<Sequence<Boolean>> key, boolean... values)`
Set boolean values for an Boolean sequence key.
`OptionMap.Builder`
OptionMap.Builder.`setSequence(Option<Sequence<Integer>> key, int... values)`
Set int values for an Integer sequence key.
`OptionMap.Builder`
OptionMap.Builder.`setSequence(Option<Sequence<Long>> key, long... values)`
Set long values for a Long sequence key.
`<T> OptionMap.Builder`
OptionMap.Builder.`setSequence(Option<Sequence<T>> key, T... values)`
Set a key-value pair, where the value is a sequence type.